0

I have a new install of Artix Linux (base install) and I am having troubles installing stuff with pacman. Some packages work but zathura, snapd, and most packages don't work.

error: target not found: snapd

error: target not found: zathura

error: target not found: (most packages)

let me know if you need to know any more.

e

1 Answer 1

1

They are probably not in repo. If you downloaded (after 2021-06-09) Artix recently, then you don't have Arch repos enabled, as Artix repos are declared to be self-sufficient. All Zathura packages are in Arch Community repo, see

community/zathura 0.4.8-1
    Minimalistic document viewer
community/zathura-cb 0.1.9-1
    Adds comic book support to zathura
community/zathura-djvu 0.2.9-1
    DjVu support for Zathura
community/zathura-pdf-mupdf 0.3.7-1
    PDF support for Zathura (MuPDF backend) (Supports PDF, ePub, and OpenXPS)
community/zathura-pdf-poppler 0.3.0-1
    Adds pdf support to zathura by using the poppler engine
community/zathura-ps 0.2.7-1
    Adds ps support to zathura by using the libspectre library

Install archlinux-mirrorlist and write this /etc/pacman.conf after system, world and galaxy repo. Also add multilib in similar pattern if you use 32-bit stuff (like Wine and Steam). Official news

[extra]
Include = /etc/pacman.d/mirrorlist-arch

[community]
Include = /etc/pacman.d/mirrorlist-arch

Also Artix doesn't use systemd, so it cannot use snapd, it has hard dependency on that. UnixSE. Use AUR, Flatpak, Appimage, Homebrew, nix etc.

4
  • archlinux-mirrorlist was already installed and I could not find arch repos in my /etc/pacman.conf Aug 19, 2021 at 21:26
  • should I upload the file or is it something dumb. Aug 19, 2021 at 21:39
  • @BalboBiggans see edit Aug 20, 2021 at 4:07
  • 1
    Thanks. It works! I didn't see the mirrorlist-arch so I just added it closer to the bottom. Aug 20, 2021 at 18:33

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .